package com.eactive.eai.transformer.function;

public class ExecutionException extends Exception {
    private Object[] parameters;

    public ExecutionException(String message, Object[] parameters) {
        this(message, parameters, null);
    }

    public ExecutionException(String message, Object[] parameters,
        Throwable cause) {
        super(message, cause);
        this.parameters = parameters;
    }

    public boolean hasParameters() {
        return parameters != null;
    }

    public int getParameterLength() {
        return parameters.length;
    }

    public Object[] getParameters() {
        return parameters;
    }
}
